Locus 3.70.5 does not run on Android 14

Serg Ha shared this problem 23 days ago
Not a Problem

I bought Locus 3.7 a long time ago and used it. I recently bought a new phone with Android 14. But Locus 3.70.5 does not run on Android 14

Replies (3)

photo
1

Hi Serg,

the error number 1811 announces Locus Map can't find Google Play services to verify its license. Are Google Play services active and running and are they updated?

regards

Michal, Locus team

photo
1

Yes thank you. With Google account everything worked

Leave a Comment
 
Attach a file